FROM registry.gitlab.com/clarin-eric/docker-debian-supervisor-base:2.0.0
MAINTAINER sysops@clarin.eu

RUN apt-get update && \
    apt-get install -y \
        collectd \
        collectd-utils

RUN mkdir -p /var/log/collectd
COPY collectd/collectd.conf /etc/collectd/collectd.conf
COPY fluentd/collectd.conf /etc/fluentd/conf.d/collectd.conf
COPY supervisor/collectd.conf /etc/supervisor/conf.d/collectd.conf

COPY init.sh /app/init.sh
RUN chmod u+x /app/init.sh

VOLUME ["/usr/share/collectd/"]
EXPOSE 25826